Results 1 to 3 of 3

Thread: Report Javaloader Error LibreOffice 4.3.6.2

  1. #1

    Default Report Javaloader Error LibreOffice 4.3.6.2

    Like to know if the bugs 906688 and 906147 submitted by hnimmo has been resolved. Seems like they have not.

    I have just completed a clean install using a 13.2 DVD 64 bit download taken on April 14, 2015

    Running LibreOffice 4.3.6.2 Build: 430m0(Build:2) and getting the following error when running a report in base:

    javaloader error - could not find class com/sun/star/comp/loader/javaloader.

    As already mentioned by others this problem did not exist with 13.1. Like to know if there is a solution.

  2. #2

    Default Re: Report Javaloader Error LibreOffice 4.3.6.2

    Quote Originally Posted by newbuilder View Post
    Like to know if the bugs 906688 and 906147 submitted by hnimmo has been resolved.
    Why don't you look at the bug reports then?

    Seems like they have not.
    As I already wrote in hnimmos threads and in the bug reports, the "JavaLoader Error" problem never existed in the packages in the LibreOffice:xxx repos (i.e. LibreOffice:4.3, LibreOffice:4.4, and LibreOffice:Factory), and also not in the upstream LibreOffice packages you can download from the LO homepage.

    The problem also doesn't exist in LibreOffice 4.3.2 as shipped in 13.2, only in the packages released as update.

    The problem has been identified and resolved recently, an update for 13.2 has been submitted and should be released in the next few days.

    If you cannot wait, you can download and install the update from the update-test repo:
    http://download.opensuse.org/update/13.2-test
    (the package libreoffice should be enough)

    Or install LibreOffice from its homepage or openSUSE's additional LibreOffice repos.

    The other bug about LibreOffice not working with MariaDB is still being worked on AIUI. But apparently installing libmysqlclient-devel should be enough to make it work. At least that's what hnimmo wrote in https://bugzilla.novell.com/show_bug.cgi?id=906147 .
    It worked and works fine here (I do have libmysqlclient-devel installed).

    PS: why did you create a new thread and not ask in the already existing ones?
    Most of the information is already there anyway.
    Last edited by wolfi323; 20-Apr-2015 at 04:45.

  3. #3

    Default Re: Report Javaloader Error LibreOffice 4.3.6.2

    The update to fix Base's assistants and reports (i.e. the JavaLoader error) has been released today, and it works fine here now.

    But as mentioned, for reports to work you might have to install pentaho-flowing-report-engine manually. A dependency for that has been added to the LibreOffice packages in the devel repos already, and will be part of the next update to 4.3.7 that probably will be released in the next weeks.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •